local assets=
{
	Asset("ANIM", "anim/eliz.zip"),
	Asset("ATLAS", "images/inventoryimages/eliz.xml")
}

local prefabs = {
}

local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
	
	-- Check if Shipwrecked is enabled
	if IsDLCEnabled(CAPY_DLC) then
		-- Make floatable
		MakeInventoryFloatable(inst, "idle_water", "idle")
	end
	
    anim:SetBank("eliz") -- Bank name, within the scml
    anim:SetBuild("eliz") -- Build name, as seen in anim folder
    anim:PlayAnimation("idle")	-- Animation name
    
	-- Prevents this item from being lost
    inst:AddTag("irreplaceable")
	
    -------
    
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/eliz.xml"

	inst.entity:AddLight() --light is not a component

    inst.Light:SetIntensity(.75)
    inst.Light:SetRadius(3)
    inst.Light:SetFalloff(0.5)
    inst.Light:SetColour(200/255, 170/255, 150/255)
	inst.Light:Enable(true)

	inst:AddComponent("sanityaura")
    inst.components.sanityaura.aura = TUNING.SANITYAURA_MED
	
    return inst
end


return Prefab( "common/inventory/eliz", fn, assets, prefabs) 
